Blame 0068-check-ifenslave-instead-of-brctl-in-parse-bond.sh.patch

Harald Hoyer 35271e
From ffc5bf686da7db9d26dd19b43fc8a17d83bcc4d7 Mon Sep 17 00:00:00 2001
Harald Hoyer 35271e
From: WANG Cong <xiyou.wangcong@gmail.com>
Harald Hoyer 35271e
Date: Fri, 18 May 2012 13:38:17 +0800
Harald Hoyer 35271e
Subject: [PATCH] check ifenslave instead of brctl in parse-bond.sh
Harald Hoyer 35271e
Harald Hoyer 35271e
This is obviously wrong, ifenslave instead of brctl is needed for bonding.
Harald Hoyer 35271e
Harald Hoyer 35271e
Cc: Harald Hoyer <harald@redhat.com>
Harald Hoyer 35271e
Signed-off-by: WANG Cong <xiyou.wangcong@gmail.com>
Harald Hoyer 35271e
---
Harald Hoyer 35271e
 modules.d/40network/parse-bond.sh |    2 +-
Harald Hoyer 35271e
 1 file changed, 1 insertion(+), 1 deletion(-)
Harald Hoyer 35271e
Harald Hoyer 35271e
diff --git a/modules.d/40network/parse-bond.sh b/modules.d/40network/parse-bond.sh
Harald Hoyer 35271e
index 0a4c006..ae0ae97 100755
Harald Hoyer 35271e
--- a/modules.d/40network/parse-bond.sh
Harald Hoyer 35271e
+++ b/modules.d/40network/parse-bond.sh
Harald Hoyer 35271e
@@ -18,7 +18,7 @@ if getarg bond= >/dev/null ; then
Harald Hoyer 35271e
     if [ -z "$netroot" ] ; then
Harald Hoyer 35271e
         die "No netboot configured, bond is invalid"
Harald Hoyer 35271e
     fi
Harald Hoyer 35271e
-    command -v brctl >/dev/null 2>&1 || die "No 'brctl' installed"
Harald Hoyer 35271e
+    command -v ifenslave >/dev/null 2>&1 || die "No 'ifenslave' installed"
Harald Hoyer 35271e
 fi
Harald Hoyer 35271e
 
Harald Hoyer 35271e
 # We translate list of slaves to space-separated here to mwke it easier to loop over them in ifup